# Enum node_type

- Defined in File node.hpp

## Enum Documentation

enum class zeem::node_type : uint8_t

  An enum used as a poor mans RTTI, i.e. you can use this type to find out the actual type of a node.

  Values:

  enumerator element
  enumerator text
  enumerator attribute
  enumerator comment
  enumerator cdata
  enumerator document
  enumerator processing_instruction
  enumerator header